--***********************************************************
--**                   KI5 / bikinihorst                   **
--***********************************************************

require "Hooks/DAMN_EnterAnimations";

DAMN = DAMN or {};
ARRW = ARRW or {};

DAMN.EnterAnimations:registerVehicleScript("Base.90pierceArrow", function(seatIndex, player)
        if seatIndex == 0
        then
            return {
                ["damnPosition"] = "driver",
                ["damnRole"] = "",
            };
        elseif seatIndex == 2
        then
            return {
                ["damnPosition"] = "facingBack",
                ["damnRole"] = "",
            };
        elseif seatIndex == 3
        then
            return {
                ["damnPosition"] = "facingBack",
                ["damnRole"] = "",
            };
        else
            return {
                ["damnPosition"] = "passenger",
                ["damnRole"] = "",
            };
        end
    end);